#ifndef VIDEO_H_
#define VIDEO_H_

/*
 * ビデオカードドライバ
 * by uchan
 */
 
typedef unsigned short color_16;
typedef unsigned int color_32;

namespace driver {

 	/*
	 * ドライバインターフェース
	 */
	class IVideo {
	public:
		/*
		 * ドライバ初期化関数
		 */
		virtual void init(void *vram, int xSize, int ySize) = 0;
		
		/*
		 * 点描画関数
		 */
		virtual void WritePoint(int x, int y, color_16 color) = 0;
		
		/*
		 * 点色取得関数
		 */
		virtual color_16 GetPoint(int x, int y) = 0;
	};

}

#endif /*VIDEO_H_*/
